/* 
 * ctemplate.c: compression side template
 * Copyright (C) 2001 Axel Burri <aburri@ee.ethz.ch>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * This program also contains code from the free IJG JPEG codec
 * software by Thomas G. Lane (www.ijg.org)
 *
 */

#define J3D_INTERNALS
#include <stdlib.h>
#include <stdio.h>
#include "j3dlib.h"


/* Private subobject */
typedef struct {
    struct j3d_c_vlc pub; /* public fields */

    /* private variables */
    
} my_vlc;
typedef my_vlc * my_vlc_ptr;




/*
 * returns TRUE when all cubes encoded
 */
static int vlc_start(j3d_compress_ptr cinfo, j3d_dct_coef_ptr in_coef, j3d_bitarray_ptr output){

  return -1;
}




void j3d_init_c_vlc(j3d_compress_ptr cinfo) {
    my_vlc_ptr vlc;
    
    vlc = (my_vlc_ptr) malloc(sizeof(my_vlc));
    
    
    /* init the objects used */


    /*
     * assign methods
     */
    vlc->pub.encode = vlc_start;

    
    cinfo->vlc = (struct j3d_c_vlc *) vlc;
}

    
